RichFeatureRelationship (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.RichFeatureRelationship interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq
Interface RichFeatureRelationship

All Superinterfaces:
  Changeable, Comparable

All Known Implementing Classes:
  SimpleRichFeatureRelationship

    public interface RichFeatureRelationship

extends Comparable, Changeable

Represents the relation between two bioentries. The bioentry_relationship in BioSQL is what this is based on.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland

Field Summary
`static ChangeType` | `RANK`

Method Summary
`RichFeature` | `getObject()` Returns the object of this relationship (ie.
`int` | `getRank()` Gets the rank of this relationship.
`RichFeature` | `getSubject()` Gets the feature that this relationship refers to.
`ComparableTerm` | `getTerm()` Gets the term that describes this relationship.
`void` | `setRank(int rank)` Sets the rank of this relationship.

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Field Detail

### RANK

    static final ChangeType RANK

Method Detail

### setRank

    void setRank(int rank)
                 throws ChangeVetoException

  Sets the rank of this relationship.

  Parameters:
    `rank` - Value of property rank.
  Throws:
    `ChangeVetoException` - if the rank is untasty.

### getRank

    int getRank()

  Gets the rank of this relationship.

  Returns:
    Value of property rank.

### getObject

    RichFeature getObject()

  Returns the object of this relationship (ie. the feature which this relationship starts from). This is an immutable property set by the constructor of an instantiating class.

  Returns:
    Value of property object.

### getSubject

    RichFeature getSubject()

  Gets the feature that this relationship refers to. This is set at constructor time and is immutable.

  Returns:
    Value of property subject.

### getTerm

    ComparableTerm getTerm()

  Gets the term that describes this relationship. This is set at constructor time and is immutable.

  Returns:
    Value of property term.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD